# Uses of Interface
org.springframework.scheduling.TriggerContext

Packages that use TriggerContext
Package
Description
org.springframework.scheduling
General exceptions for Spring's scheduling support, independent of any specific scheduling system.
org.springframework.scheduling.support
Generic support classes for scheduling.

## Uses of TriggerContext in org.springframework.scheduling

Methods in org.springframework.scheduling with parameters of type TriggerContext
Modifier and Type
Method
Description
`Instant`
Trigger.`nextExecution(TriggerContext triggerContext)`
Determine the next execution time according to the given trigger context.
`default Date`
Trigger.`nextExecutionTime(TriggerContext triggerContext)`
Deprecated.
as of 6.0, in favor of `Trigger.nextExecution(TriggerContext)`

## Uses of TriggerContext in org.springframework.scheduling.support

Classes in org.springframework.scheduling.support that implement TriggerContext
Modifier and Type
Class
Description
`class`
`SimpleTriggerContext`
Simple data holder implementation of the `TriggerContext` interface.
Methods in org.springframework.scheduling.support with parameters of type TriggerContext
Modifier and Type
Method
Description
`Instant`
CronTrigger.`nextExecution(TriggerContext triggerContext)`
Determine the next execution time according to the given trigger context.
`Instant`
PeriodicTrigger.`nextExecution(TriggerContext triggerContext)`
Returns the time after which a task should run again.